"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
class Db {
  // {sequelize}
  constructor(options) {
    this.user = options.sequelize.models.user;
  }

  userFind(where) {
    return this.user.findOne({ where });
  }

  userCreate(props) {
    return this.user.create(props);
  }

  userUpdate(user, props) {
    return this.user.update(props);
  }

  userSerialize(user) {
    // for login/load-auth response
    return { id: user.id, username: user.username };
  }
}
exports.default = Db;